STRUCT _EXPR(3)

NAME
boost::proto::_expr - A PrimitiveTransform that returns the current expression unmodified.

SYNOPSIS

// In header: <boost/proto/transform/arg.hpp>
struct _expr :  proto::transform< _expr > {
  // member classes/structs/unions
  template<typename Expr, typename State, typename Data>
  struct impl :  proto::transform_impl< Expr, State, Data > {
    // types
    typedef Expr result_type;
    // public member functions
    Expr operator()(typename impl::expr_param, typename impl::state_param,
                    typename impl::data_param) const;
  };
};

DESCRIPTION

Example:

    proto::terminal<int>::type i = {42};
    proto::terminal<int>::type & j = proto::_expr()(i);
    assert( boost::addressof(i) == boost::addressof(j) );